View Issue Details

IDProjectCategoryView StatusLast Update
0017062MediaMonkey 5Main Panel: Toolbars & Menuspublic2021-01-19 00:06
Reporterrusty Assigned To 
PriorityurgentSeverityfeatureReproducibilityalways
Status closedResolutionreopened 
Product Version5.0 
Target Version5.0Fixed in Version5.0 
Summary0017062: b&w tray icons that vary depending on mode
Descriptiondrakinite has proposed updating the tray icon to different b&w versions:
- 1 set for when Windows mode is set to 'light'
- 1 set for when Windows mode is set to 'dark'

This is preferable to the current colored icon because:
a) it'll fit better with most of the Windows tray icons which are also b&w
b) it will display more cleanly since it'll be light colored on a dark background, and dark colored on a light background

Please triage depending on whether this is trivial to implement for 5.0 (drakinite has offered to update the icons as needed).
TagsNo tags attached.
Fixed in build2276

Activities

rusty

2020-11-09 02:30

administrator   ~0060094

Last edited: 2020-11-09 02:30

View 2 revisions

Draft samples from drakinite to better understand.
tray-icons_dark-mode.png (14,266 bytes)   
tray-icons_dark-mode.png (14,266 bytes)   
tray-icons_light-mode.png (14,906 bytes)   
tray-icons_light-mode.png (14,906 bytes)   

petr

2020-11-11 11:54

developer   ~0060123

Fixed

peke

2020-11-14 00:06

developer   ~0060192

Last edited: 2020-11-14 00:34

View 5 revisions

Can we revise this?

I know I initially suggested Grayed Icons that were transparent in the middle 0015061:0057925, looking at current Icon in 2274 it look distorted and I am not sure if can be associated with MM unlike even one I have suggested in 0015061:0057925.

Attaching taskbar Icons with 2273 -> 2274 and list of all my taskbar icons cached in Windows settings, only 1/3 of icons are B/W and as of Win 10 2004 Microsoft also added colored icons for most of the native apps that came with Windows (eg. Calculator, My Phone, Alarm, ...

There is also an third option to light/dark eg. custom where taskbar can be transparent with auto picked color based on wallpaper so strict B/W is not good even apps are preferred Dark.

lowlander

2020-11-14 00:10

developer   ~0060194

Same here, only MS icons are B&W (except Skype) and none of my other Apps have B&W icons. Colors help to find the right App quicker than an all B&W icon tray would.

rusty

2020-11-14 22:55

administrator   ~0060229

Last edited: 2020-11-14 23:00

View 2 revisions

The icons that were posted here were drafts--they were never meant to be included. I'd entered the bug to track the issue and decide whether it was much work to do this. It appears it wasn't (much work) so I'll ask drakinite if he has better versions of the icons....

drakinite

2020-11-15 00:25

developer   ~0060230

Hey there!
So I managed to get the low resolution monkeys and circles to look significantly better. So you mentioned adding color; what do you guys think of this? It's got a darker version of the halo from the regular icon in the center. (It's difficult to differentiate the monkey at regular brightness.) No black version yet, but if you think this is an improvement, I can do the black one too.
icon7-white.ico (9,622 bytes)   
icon7-white.ico (9,622 bytes)   
icon6-white.ico (9,622 bytes)   
icon6-white.ico (9,622 bytes)   
image.png (6,732 bytes)   
image.png (6,732 bytes)   

drakinite

2020-11-19 14:05

developer   ~0060291

I noticed that the black border on the white icons looked really bad, so I got rid of it.
I personally don't think that the gray color is as good for a tray icon, but it's still here in case you like it.
icon8-black.ico (9,622 bytes)   
icon8-black.ico (9,622 bytes)   
icon8-black-color.ico (9,622 bytes)   
icon8-black-color.ico (9,622 bytes)   
icon8-gray.ico (9,622 bytes)   
icon8-gray.ico (9,622 bytes)   
icon8-white.ico (9,622 bytes)   
icon8-white.ico (9,622 bytes)   
icon8-white-color.ico (9,622 bytes)   
icon8-white-color.ico (9,622 bytes)   

rusty

2020-11-19 21:01

administrator   ~0060296

Much better. I realize that this is subjective, but after testing on a variety of backgrounds I'd suggest:
Dark mode: icon8-gray.ico
Light mode: icon8-black-color.ico

In the future, we might just allow the user to choose, but not a high priority.

drakinite

2020-11-20 00:19

developer   ~0060297

My favorites are the pure black and white, but I'm good with those two being the default for the time being.

I noticed that the ring around icon8-black-color.ico seems a bit too thin, so here's an improved revision.
icon8-black-color2.ico (9,622 bytes)   
icon8-black-color2.ico (9,622 bytes)   

petr

2020-11-23 17:02

developer   ~0060353

Icons updated

peke

2020-11-28 11:45

developer   ~0060416

Verified 2276

Icons now looks good,

peke

2020-12-21 02:02

developer   ~0060971

Re verified 2288

No regressions. New bug should be opened for feature to make icon controllable by skin or user to select icons from available ones.

rusty

2021-01-19 00:06

administrator   ~0061433

Updated splashscreen with new icon in 2297.